Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Threaded View
Kafka >> mail # user >> Plan for Scala 2.10+ support


Copy link to this message
-
Re: Plan for Scala 2.10+ support
For now from the 0.8 branch you can build what your producer/consumer build
needs and publish to a local repository

./sbt "++2.10.2 publish-local"

The 0.8.0 release vote is being held up with an error uploading/posting
artifacts https://issues.apache.org/jira/browse/INFRA-6927 and once that is
resolved we can continue towards having 0.8.0 in maven central with
supported builds

/*******************************************
 Joe Stein
 Founder, Principal Consultant
 Big Data Open Source Security LLC
 http://www.stealth.ly
 Twitter: @allthingshadoop <http://www.twitter.com/allthingshadoop>
********************************************/
On Tue, Oct 29, 2013 at 11:43 PM, Aniket Bhatnagar <
[EMAIL PROTECTED]> wrote:

> I haven't been able to find one which we why had to build Kafka 0.8 from
> source. It's not super hard though to build Kafka.
>
>
> On 30 October 2013 09:07, chetan conikee <[EMAIL PROTECTED]> wrote:
>
> > Are there any public maven repos hosting 0.8 with 2.10+ support.?
> >
> > Sent from my iPhone
> >
> > > On Oct 29, 2013, at 8:32 PM, Aniket Bhatnagar <
> > [EMAIL PROTECTED]> wrote:
> > >
> > > The latest 0.8 branch has support for scala 2.10. We use it in our
> > > projects. Once 0.8 is released, I believe you should be able to see
> 2.10
> > > artifacts in maven repository. Are you using 0.7 or 0.8?
> > >
> > >
> > >> On 30 October 2013 08:58, Abhinav Anand <[EMAIL PROTECTED]> wrote:
> > >>
> > >> Hi,
> > >>  We are building pub-sub applications over kafka in our company. Some
> of
> > >> our packages have been build on Scala 2.10+. Though only Kafka_2.9.2
> is
> > >> available on maven repository. Kafka_2.9.2 uses some deprecated scala
> > >> classes (viz. ClassManifest), which causes runtime exception for our
> > >> application.
> > >>
> > >> We are currently maintaining our own repository of Kafka build over
> > >> scala_2.10. Though we wanted to open-source our system and wanted to
> > check
> > >> if there is any plan for Kafka_2.10 getting pushed to maven or apache
> > >> repository ??
> > >>
> > >> --
> > >> Abhinav Anand
> > >>
> >
>

 
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB